Remote Server Administration Tools Pack

To ease remote server management, Microsoft has included a remote server administration tools pack with Windows Server® 2008 R2.

About the Remote Server Administration Tools pack

You can install the Remote Server Administration Tools pack on computers that are running the Windows Server 2008 R2 operating system, and use the Remote Server Administration Tools pack to manage specific technologies on computers that are running either Windows Server 2008 or Windows Server 2008 R2, and in some cases, Windows Server 2003 or Windows Server 2003 Release 2 (R2).

The Remote Server Administration Tools pack enables remote management of some technologies that run on Windows Server 2003, Windows Server 2008, and Windows Server 2008 R2 from a computer that is running Windows Server 2008 R2, by letting you open and run management tools on a remote computer.

The Remote Server Administration Tools pack includes support for remote management of computers that are running the Server Core installation option of Windows Server 2008 R2. However, Remote Server Administration Tools cannot be installed on a Server Core installation of the Windows Server 2008 R2 operating system.

As with other management tools that are included with Windows Server 2008 R2, Remote Server Administration Tools helps secure the system by default. The default Remote Server Administration Tools configuration opens only those ports and enables only those services and firewall exceptions required for remote management to work.


Installing or Removing the Remote Server Administration Tools Pack

The Remote Server Administration Tools pack is a feature that is included with Windows Server® 2008 R2. You can install the Remote Server Administration Tools pack by using either the Add Features Wizard in Windows Server 2008 R2, or by using a command line to install the feature.

Prerequisites for installing the Remote Server Administration Tools pack

You can install the Remote Server Administration Tools pack on a computer that is running any Windows Server 2008 R2 operating system, except the Server Core installation option of the Windows Server 2008 R2 operating system.

You should only install Remote Server Administration Tools to perform administrative tasks on computers that are running either Windows Server 2008 or Windows Server 2008 R2. Some tools might also work on roles or features that are running on Windows Server 2003.

You must be either a member of the Administrators group on the server on which you want to install the Remote Server Administration Tools pack, or you must be logged on to the computer by using the built-in Administrator account.

In this topic

How to install the Remote Server Administration Tools pack

How to remove the Remote Server Administration Tools pack

How to install the Remote Server Administration Tools pack

You can install the Remote Server Administration Tools pack on a computer that is running Windows Server 2008 R2 either by using the Windows user interface, Windows PowerShell, or the command line.

Using the Windows user interface

Using Windows PowerShell cmdlets

Using the command line

Using the Windows user interface

This procedure describes how to install Remote Server Administration Tools by using Server Manager.

To install the Remote Server Administration Tool pack by using the Windows user interface

  1. Open the Add Features Wizard by doing one of the following.

    • In the Initial Configuration Tasks window, in the Customize This Server area, click Add features.

    • Open Server Manager by clicking Start, pointing to Administrative Tools, and then clicking Server Manager. In the Features section of the Server Manager home page, click Add features.

      Note

      You can also open Server Manager by clicking the Server Manager button on the Quick Launch tool, or by typing servermanager into a Command Prompt window, and then pressing ENTER.

    • Open Control Panel. Double-click Programs and Features. In the Tasks list, click Turn Windows features on or off. When the Server Manager console opens, click Add features in the Features section of the home page.

  2. On the Select Features page of the Add Features Wizard, select Remote Server Administration Tools.

  3. Open Role Administration Tools or Feature Administration Tools, depending on the technologies that you want to manage remotely. Select roles, role services, or features that are installed on other computers and that you want to manage from the current computer. Click Next.

    Note

    Installing Remote Server Administration Tools does not install any roles, role services, or features on a computer. For each role, role service, or feature that you select within Remote Server Administration Tools, you are installing only management tools and snap-ins that allow you to perform administration tasks for specified roles, role services, or features installed on other computers.

  4. On the Confirm Installation Options page, click Install.

  5. When installation is complete, exit the wizard.

Using Windows PowerShell cmdlets

This procedure describes how to use the Add-WindowsFeature cmdlet to install Remote Server Administration Tools on your computer.

To install Remote Server Administration Tools by using Windows PowerShell

  1. Open a Windows PowerShell session with elevated user rights. To do this, click Start, click All Programs, click Accessories, click Windows PowerShell, right-click the Windows PowerShell shortcut, and then click Run as administrator.

  2. Import the Server Manager module into the Windows PowerShell session before working with Server Manager cmdlets. Type the following, and then press Enter.

    Import-Module Servermanager

    Note

    Windows PowerShell cmdlets are not case-sensitive.

  3. If you do not know the command name of the remote management tool that you want to install, type the following, and then press Enter to return a list of all command names in the Name column. The command name is required for the next step.

    Get-WindowsFeature

    You can install remote administration tools for all roles or all features in a single command instance by choosing one of the container identifiers shown in the following list.

    • RSAT for installing or removing all available Remote Server Administration Tools.

    • RSAT-Role-Tools for installing or removing all available remote role administration tools.

    • RSAT-Feature-Tools for installing or removing all available remote feature administration tools.

  4. Type the following, in which name represents the command name of the remote administration tool that was obtained in the previous step, and then press Enter to install the remote administration tool.

    Add-WindowsFeature name

    You can install multiple tools by using commas to separate the command names, as shown in the following example.

    Add-WindowsFeature RSAT-RDS,RSAT-Web-Server,RSAT-BitLocker

  5. When installation is complete, verify that your selected remote administration tools installed by running the Get-WindowsFeature cmdlet as shown in step 3.

Using the command line

Note

Because of security restrictions imposed by User Account Control in Windows Server 2008 R2, to complete the following procedure, you must run a Command Prompt window with elevated user rights. To do this, click Start, click All Programs, click Accessories, right-click Command Prompt, and then click Run as administrator.

Before you begin to install Remote Server Administration Tools by using the command line, we strongly recommend that you read the topic "Overview of Server Manager Commands" in the Server Manager Help.

This procedure shows how to install one set of tools contained within a single command identifier. If you want to install remote administration tools for multiple roles or features, you can do this in one of the following two ways.

  • You can install remote administration tools for all roles or all features in a single command instance by choosing one of the container identifiers shown in the following list.

    • RSAT for installing or removing all available Remote Server Administration Tools.

    • RSAT-Role-Tools for installing or removing all available remote role administration tools.

    • RSAT-Feature-Tools for installing or removing all available remote feature administration tools.

  • You can install or remove multiple remote administration tools by creating an answer file for the command that you use. For more information about how to create an answer file, see "Creating an Answer File for Server Manager Commands" in the Server Manager Help.

To install Remote Server Administration Tools by using a command line

  1. Open a Command Prompt window with elevated user rights by right-clicking the Command Prompt executable, or the Command Prompt object on the Start menu, and then clicking Run as administrator.

  2. At the prompt, type the following, where command Id represents the identifier (found in the previous table) for the tools that you want to install, and then press ENTER.

    ServerManagerCmd.exe -install <command Id>

    Notes
    • Command Prompt commands are not case-sensitive.
    • You can obtain a complete list of command identifiers by entering ServerManagerCmd.exe –query in a Command Prompt window opened with elevated user rights. Other parameters are available for the ServerManagerCmd.exe command, such as -restartthat automatically restarts the computer after installation if it is required by the administration tools that you have installed. We recommend that you read about additional Server Manager command line parameters in the topic "Overview of Server Manager Commands" in the Server Manager Help.

  3. When installation is complete, the command prompt displays an exit code of 0, together with a message that confirms a successful installation.

  4. If the installation failed or other messages are displayed, refer to "Interpreting Output from Server Manager Commands" in the Server Manager Help to identify and resolve any problems.

How to remove the Remote Server Administration Tools pack

You can remove Remote Server Administration Tools from a computer that is running Windows Server 2008 R2 either by using the Windows user interface, Windows PowerShell, or the command line.

Using the Windows user interface

Using Windows PowerShell cmdlets

Using the command line

Using the Windows user interface

This procedure describes how to remove tools within Remote Server Administration Tools by using Server Manager.

To remove Remote Server Administration Tools by using Windows

  1. Open the Remove Features Wizard by doing one of the following.

    • In the Initial Configuration Tasks window, in the Customize This Server area, click Remove features.

    • Open Server Manager by clicking Start, pointing to Administrative Tools, and then clicking Server Manager. In the Features section of the Server Manager home page, click Remove features.

      Note

      You can also open Server Manager by clicking the Server Manager button on the Quick Launch bar, or by typing servermanager into a Command Prompt window, and then pressing ENTER.

    • Open Control Panel. Double-click Programs and Features. In the Tasks list, click Turn Windows features on or off. When the Server Manager console opens, click Remove features in the Features section of the home page.

  2. On the Select Features page of the Remove Features Wizard, select Remote Server Administration Tools Pack.

  3. Select remote administration tools that you want to remove from the local computer. Click Next.

    Note

    Removing Remote Server Administration Tools does not remove any roles, role services, or features from a computer. For each role, role service, or feature that you select within Remote Server Administration Tools, you are removing only management tools and snap-ins that allow you to perform administration tasks for specified roles, role services, or features installed on other computers.

  4. On the Confirm Removal Options page, click Remove.

  5. When removal is complete, exit the wizard.

Using Windows PowerShell cmdlets

This procedure describes how to use the Remove-WindowsFeature cmdlet to remove Remote Server Administration Tools from your computer.

To remove Remote Server Administration Tools by using Windows PowerShell

  1. Open a Windows PowerShell session with elevated user rights. To do this, click Start, click All Programs, click Accessories, click Windows PowerShell, right-click the Windows PowerShell shortcut, and then click Run as administrator.

  2. Import the Server Manager module into the Windows PowerShell session before working with Server Manager cmdlets. Type the following, and then press Enter.

    Import-Module Servermanager

    Note

    Windows PowerShell cmdlets are not case-sensitive.

  3. If you do not know the command name of the remote management tool that you want to remove, type the following, and then press Enter to return a list of all command names in the Name column. The command name is required for the next step.

    Get-WindowsFeature

    You can remove remote administration tools for all roles or all features in a single command instance by choosing one of the container identifiers shown in the following list.

    • RSAT for removing all installed Remote Server Administration Tools.

    • RSAT-Role-Tools for removing all installed remote role administration tools.

    • RSAT-Feature-Tools for removing all installed remote feature administration tools.

  4. Type the following, in which name represents the command name of the remote administration tool that was obtained in the previous step, and then press Enter to remove the remote administration tool.

    Remove-WindowsFeature name

    You can remove multiple tools by using commas to separate the command names, as shown in the following example.

    Remove-WindowsFeature RSAT-RDS,RSAT-Web-Server,RSAT-BitLocker

  5. When removal is complete, verify that your selected remote administration tools were removed by running the Get-WindowsFeature cmdlet as shown in step 3.

Using the command line

Note

Because of security restrictions imposed by User Account Control in Windows Server 2008 R2, to complete the following procedure, you must run a Command Prompt window with elevated user rights.

Before you start to remove Remote Server Administration Tools by using the command line, we strongly recommend that you read the topic "Overview of Server Manager Commands" in the Server Manager Help.

This procedure shows how to remove one set of tools contained in a single command identifier. If you want to remove remote administration tools for multiple roles or features, you can do this in one of the following two ways.

  • You can remove remote administration tools for all roles or all features in a single command instance by choosing one of the container identifiers shown in the following list.

    • RSAT for removing all installed Remote Server Administration Tools.

    • RSAT-Role-Tools for removing all installed remote role administration tools.

    • RSAT-Feature-Tools for removing all installed remote feature administration tools.

  • You can remove multiple remote administration tools by creating an answer file for the command that you use. For more information about creating an answer file, see "Creating an Answer File for Server Manager Commands" in the Server Manager Help.

To remove Remote Server Administration Tools by using a command line

  1. Open a Command Prompt window with elevated user rights by right-clicking the Command Prompt executable, or the Command Prompt object on the Start menu, and then clicking Run as administrator.

  2. At the prompt, type the following, where command Id represents the identifier (found in the previous table) for the tools that you want to remove, and then press ENTER.

    ServerManagerCmd.exe -remove <command Id>

    Note

    You can obtain a complete list of command identifiers by entering ServerManagerCmd.exe –query in a Command Prompt window opened with elevated user rights. Other parameters are available for this command, such as -restart, which automatically restarts the computer after removal if it is required by remaining programs on the computer. We recommend that you read about additional Server Manager command line parameters in the topic "Overview of Server Manager Commands" in the Server Manager Help.

  3. When removal is complete, the command prompt displays an exit code of 0, together with a message that confirms a successful removal.

  4. If the removal failed or other messages are displayed, refer to "Interpreting Output from Server Manager Commands" in the Server Manager Help to identify and resolve any problems.

See Also

  • Remote Server Administration Tools Pack


What Are the Remote Server Administration Tools?

When you install Remote Server Administration Tools on a server running Windows Server® 2008 R2, you select the roles, role services, and features you want to manage on remote computers running either Windows Server 2003, Windows Server 2008, or Windows Server 2008 R2.

When Remote Server Administration Tools installation completes, snap-ins and tools to manage corresponding roles, role services, and features are available on your computer. For more information about how to install Remote Server Administration Tools, see Installing or Removing the Remote Server Administration Tools Pack.

Available Remote Server Administration Tools

The following tools are available for installation with Remote Server Administration Tools in Windows Server 2008 R2.

Note

When you install tools for specific roles, role services, and features within Remote Server Administration Tools, you install only a set of snap-ins and tools for remote management of those roles, role services, and features installed on other computers. Installing Remote Server Administration Tools does not install any roles or features on the local computer.

Remote Server Administration Tools for roles

Note

This list of roles may have been updated since this content was published. To check for updates, see the Windows Server 2008 R2 TechCenter (http://go.microsoft.com/fwlink/?LinkId=122006).

Remote Server Administration Tools role Description

Active Directory Certificate Services Tools

Active Directory Certificate Services Tools includes the Certification Authority, Certificate Templates, Enterprise PKI, and Online Responder Management snap-ins.

Active Directory Domain Services (AD DS) and Active Directory Lightweight Directory Services (AD LDS) Tools

Active Directory Domain Services includes Active Directory Users and Computers, Active Directory Domains and Trusts, Active Directory Sites and Services, Active Directory Administrative Center, Server for NIS tools, the Active Directory Windows PowerShell provider and cmdlets, and other snap-ins and command-line tools for remotely managing Active Directory Domain Services.

Active Directory Lightweight Directory Services Tools includes Active Directory Sites and Services, ADSI Edit, Schema Manager, and other snap-ins and command-line tools for managing Active Directory Lightweight Directory Services.

Active Directory Rights Management Services (AD RMS) Tools

Active Directory Rights Management Services (AD RMS) Tools includes the Active Directory Rights Management Services (AD RMS) snap-in.

DHCP Server Tools

DHCP Server Tools includes the DHCP snap-in.

DNS Server Tools

DNS Server Tools includes the DNS Manager snap-in and dnscmd.exe command-line tool.

Fax Server Tools

Fax Server Tools includes the Fax Service Manager snap-in.

File Services Tools

File Services Tools include the following:

  • Distributed File System Tools includes the DFS Management snap-in, and the dfsradmin.exe, dfsrdiag.exe, dfscmd.exe, dfsdiag.exe, and dfsutil.exe command-line tools.

  • File Server Resource Manager Tools includes the File Server Resource Manager snap-in, and the filescrn.exe and storrept.exe command-line tools.

  • Services for Network File System Tools includes the Network File System snap-in, and the nfsadmin.exe, showmount.exe, and rpcinfo.exe command-line tools.

Hyper-V™ Tools

Hyper-V Tools includes the Hyper-V Manager snap-in and other tools for managing Hyper-V.

Network Policy and Access Services Tools

Network Policy and Access Services Tools includes the Routing and Remote Access and Health Registration Authority snap-ins.

Print and Document Services Tools

Print and Document Services Tools includes the Print Management snap-in.

Remote Desktop Services Tools

Remote Desktop Services Tools includes the RemoteApp Manager, RD Gateway Manager, and RD Licensing Manager snap-ins.

  • RD Connection Broker Tools includes the RemoteApp and Desktop Connection Manager snap-ins.

Web Server (IIS) Tools

Web Server (IIS) Tools includes the Internet Information Services (IIS) 6.0 Manager and IIS Manager snap-ins.

Windows Deployment Services Tools

Windows Deployment Services Tools includes the Windows Deployment Services snap-in, wdsutil.exe command-line tool, and Remote Install extension for the Active Directory Users and Computers snap-in.

Remote Server Administration Tools for features

Note

This list of features may have been updated since this content was published. To check for updates, see the Windows Server 2008 R2 TechCenter (http://go.microsoft.com/fwlink/?LinkId=122006).

Remote Server Administration Tools feature | Description
BitLocker Drive Encryption Administration Utilities | BitLocker Drive Encryption Administration Utilities includes the manage-bde.wsf script, and the BitLocker Active Directory Recovery Password Viewer.
BITS Server Extensions Tools | BITS Server Extensions Tools includes the Internet Information Services (IIS) 6.0 Manager and IIS Manager snap-ins.
Failover Clustering Tools | Failover Clustering Tools includes the Failover Cluster Manager snap-in and the cluster.exe command-line tool.
Network Load Balancing Tools | Network Load Balancing Tools includes the Network Load Balancing Manager snap-in, and the nlb.exe and wlbs.exe command-line tools.
SMTP Server Tools | SMTP Server Tools includes the Internet Information Services (IIS) 6.0 Manager snap-in.
WINS Server Tools | Windows Internet Name Service (WINS) Server Tools includes the WINS snap-in.

See Also

  • Remote Server Administration Tools Pack


Managing Your Server Remotely with Remote Server Administration Tools

This topic describes how you open and use snap-ins and tools that are installed as part of Remote Server Administration Tools to manage roles and features installed on other servers.

Opening snap-ins for remote administration

Perform the following steps to open a snap-in that is installed as part of Remote Server Administration Tools.

To open a snap-in for remote administration

  1. Click Start, point to Administrative Tools, and then click the snap-in you want to open.

  2. Select the computer on which you want to manage roles, role services, or features by using the appropriate command, either on the Action menu, or in the Actions pane. Typically, this command is titled Connect to Another Computer, or similar. In many snap-ins, you can also access the Connect to Another Computer command by right-clicking the topmost node in the tree pane for the snap-in, and then clicking Connect to Another Computer.

  3. In the Select Computer dialog box, do one of the following:

    • Type the name or IP address of a computer that is running Windows Server 2003, Windows Server® 2008, or Windows Server 2008 R2, on which the role or feature that you want to manage is installed.

    • Click Browse to select the computer on which the role or feature that you want to manage is installed.

  4. Click OK to close the Browse for a Computer dialog box.

  5. Click OK to close the Select Computer dialog box.

Refer to the Help for the role or feature that you want to manage remotely for information about specific tasks and management considerations. If you are working in a snap-in, press F1 to open the Help for that snap-in.

See Also

  • Remote Server Administration Tools Pack